#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-
"""
    GESTIKK
    Version 0.5.1

    Gestikk, a mouse gesture recognition application
    Copyright (C) 2007-2008 Friedrich 'fred.reichbier' Weber (2007-10-08)

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

"""
"""
    Starter script for gestikk & configuration

"""
import sys
import gestikk.tools as gtools

_ = gtools.init_gettext().gettext

USAGE = _("""Usage:\tgestikk [-c] [-q] [-d]
\t-c : launch configuration applet
\t-q : don't print this
\t-d : Debug Mode""")

quiet = '-q' in sys.argv
debug = '-d' in sys.argv

if not quiet:
    print _('gestikk - version %s') % gtools.VERSION
    print USAGE
    print _('Please DO NOT quit gestikk using CTRL+C, this will quit all child processes.')
if '-c' in sys.argv:
    # launch configuration
    import gestikk.start_config as gc
    gc.main(debug)
else:
    import gestikk.start_main as gm
    gm.main(debug)

